> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.ordergroove.com/_mcp/server.

# Manage Ordinal Rotating Product

POST https://restapi.ordergroove.com/products/{product_id}/selection_rules/ordinal/manage/
Content-Type: application/json

This API allows you to take an existing standard product and configure it into a valid ordinal rotating product or to manage an existing configuration.

This endpoint accepts the Application API Scope only. Storefront API Scope signatures are rejected.

Reference: https://developer.ordergroove.com/reference/rest-rpc-api/products/manage-ordinal-rotating-product

## Authentication

- `x-api-key` header (required) — Application API Scope — server-to-server, sent in the `x-api-key` header. See [Authentication](/api-reference/authentication).

## Request

### Path parameters

- `product_id` (string, required) — Merchant product ID

### Body (application/json)

This endpoint expects an object.

- `create` (list of ProductsProductIdSelectionRulesOrdinalManagePostRequestBodyContentApplicationJsonSchemaCreateItems, optional) — Add new selection rules for your rotation
- `update` (list of ProductsProductIdSelectionRulesOrdinalManagePostRequestBodyContentApplicationJsonSchemaUpdateItems, optional) — Update existing selection rules
- `delete` (list of string, optional) — Delete existing selection rules with public ids to be deleted , ex: ["85eae83c245111eeb185acde48001122","b3928a0c3c4211eeac2bacde48001122"]
- `configuration` (ProductsProductIdSelectionRulesOrdinalManagePostRequestBodyContentApplicationJsonSchemaConfiguration, optional) — Configures the rotation product

## Response

### 200

200

- `list of ProductsProductIdSelectionRulesOrdinalManagePostResponsesContentApplicationJsonSchemaItems`

## Types

### ProductsProductIdSelectionRulesOrdinalManagePostRequestBodyContentApplicationJsonSchemaCreateItems

- `product` (string, required) — product `external_id`
- `starting_ordinal` (integer, required)

### ProductsProductIdSelectionRulesOrdinalManagePostRequestBodyContentApplicationJsonSchemaUpdateItems

- `product` (string, required) — Product `external_id`
- `starting_ordinal` (integer, required)
- `public_id` (string, required) — `public_id` of the selection rule you are updating

### ProductsProductIdSelectionRulesOrdinalManagePostRequestBodyContentApplicationJsonSchemaConfiguration

Configures the rotation product

- `reveal_moment` (enum, optional, default: ORDER_REMINDER) — Configures when the delivery product is revealed
  - Allowed values: `ITEM_CREATE`, `ORDER_REMINDER`, `ORDER_PLACEMENT`
- `pricing_policy` (enum, optional, default: BEST_PRICE) — Configures how the price of the rotating subscription should be applied
  - Allowed values: `ROTATING_PARENT_PRODUCT_PRICE`, `DELIVERY_PRODUCT_PRICE`, `BEST_PRICE`
- `cyclical_rotation_enabled` (boolean, optional) — Loops through the rotation list. When the ordinal for the last selection element is reached, the first product on the rotation is sent again in the next order
- `cyclical_starting_ordinal` (integer, optional, default: 0) — Sets the starting ordinal when cyclical_rotation_enabled is enabled and after a rotation is completed

### ProductsProductIdSelectionRulesOrdinalManagePostResponsesContentApplicationJsonSchemaItems

- `public_id` (string, optional)
- `selection_rule_type` (string, optional)
- `product_selection_list_elements` (list of ProductsProductIdSelectionRulesOrdinalManagePostResponsesContentApplicationJsonSchemaItemsProductSelectionListElementsItems, optional)
- `configuration` (ProductsProductIdSelectionRulesOrdinalManagePostResponsesContentApplicationJsonSchemaItemsConfiguration, optional)

### ProductsProductIdSelectionRulesOrdinalManagePostResponsesContentApplicationJsonSchemaItemsProductSelectionListElementsItems

- `public_id` (string, optional)
- `product` (string, optional)
- `starting_ordinal` (string, optional)

### ProductsProductIdSelectionRulesOrdinalManagePostResponsesContentApplicationJsonSchemaItemsConfiguration

- `reveal_moment` (string, optional)
- `cyclical_rotation_enabled` (boolean, optional, default: true)
- `pricing_policy` (string, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
[
  {
    "public_id": "e1a61e620ed411ef8740767250df1ed7",
    "selection_rule_type": "ORDINAL",
    "product_selection_list_elements": [
      {
        "public_id": "e1a626000ed411ef8740767250df1ed7",
        "product": "48398751432995",
        "starting_ordinal": "0"
      },
      {
        "public_id": "e1a62b140ed411ef8740767250df1ed7",
        "product": "48398752317731",
        "starting_ordinal": "1"
      },
      {
        "public_id": "e1a62fe20ed411ef8740767250df1ed7",
        "product": "48398760149283",
        "starting_ordinal": "4"
      }
    ],
    "configuration": {
      "reveal_moment": "ORDER_PLACEMENT",
      "cyclical_rotation_enabled": false,
      "pricing_policy": "BEST_PRICE"
    }
  }
]
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/products/product_id/selection_rules/ordinal/manage/"

payload = {}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/products/product_id/selection_rules/ordinal/manage/';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/products/product_id/selection_rules/ordinal/manage/"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/products/product_id/selection_rules/ordinal/manage/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://restapi.ordergroove.com/products/product_id/selection_rules/ordinal/manage/")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://restapi.ordergroove.com/products/product_id/selection_rules/ordinal/manage/', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/products/product_id/selection_rules/ordinal/manage/");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/products/product_id/selection_rules/ordinal/manage/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```